import { Schema } from "mongoose";
import { picDB } from "../db/mongo/db_init";


const pictureSchema = new Schema({
    pId: {type: Number, index:true},
    uId: {type: Number},
    uName: {type: String},
    psdName: {type: String},
    pngName: {type: String},
    path: {type: String},
    chartType:{type:Number, index:true},// 按图表类型分  后续有新的标签类型，就往后加
    createTime:{type:Date, index:true},
});

let pictureModel;

export function initModel() {
    pictureModel = picDB.model('picture', pictureSchema)
}

export async function selectPicList() {
    let userModel = require('../model/users');
    return await pictureModel.find((err, doc) => {
        let picItem = JSON.parse(JSON.stringify(doc));
        let uId = picItem[0].uId;
        userModel.find({"uId":uId}, (err, doc) => {
            picItem[0].picInfo = doc[0];
        })

    })
}

export async function selectAllPicture() {
    return await pictureModel.find({}).exec();
}

export async function selectPicById(pId) {
    let query = {pId: pId};
    return await pictureModel.find(query).exec();
}

export async function addOncePic(addInfo) {
    // await pictureModel.inseraddInfot(addInfo);
    // return true;

    await pictureModel.save((err, doc) => {
        doc = addInfo;
        if (!err) {
            console.log('保存成功');
            return true;
        } else {
            console.log('Error:' + err);
        }
    })
    return false;
}

export async function update(pId, reviseInfo) {//todo
    // await pictureModel.update(reviseInfo);
    // return true;

    await pictureModel.findById(pId, (err, doc) => {
        doc = reviseInfo;
        doc.save((err) => {
            if (!err) {
                console.log('修改成功');
                return true;
            } else {
                console.log('Error:' + err);
            }
        })
    })
    return false;
}